### Method

# Cogl Pipeline get_front_face_winding

#### Declaration [src]

    CoglWinding
    cogl_pipeline_get_front_face_winding (
      CoglPipeline* pipeline
    )

#### Description [src]

The order of the vertices within a primitive specifies whether it is considered to be front or back facing. This function specifies which order is considered to be the front faces. `COGL_WINDING_COUNTER_CLOCKWISE` sets the front faces to primitives with vertices in a counter-clockwise order and `COGL_WINDING_CLOCKWISE` sets them to be clockwise. The default is `COGL_WINDING_COUNTER_CLOCKWISE`.

#### Return value

Type: `CoglWinding`

The `pipeline` front face winding.